Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
Markup Class Reference
Inheritance diagram for Markup:

## Public Member Functions
| AddReply ()
| Add a new reply to the end of reply list. More...
| AddRichText (content, style)
| Add a new rich text string to the end. More...
| AddStateAnnot (title, model, state)
| Add a new state annotation. More...
| constructor ()
| Constructor.
| constructor (annot)
| Constructor, with parent class object. More...
| GetCreationDateTime ()
| Get creation date time. More...
| GetGroupElements ()
| Get an element (as markup annotation) from the group that current markup annotation belongs to. More...
| GetGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. More...
| GetIntent ()
| Get intent name. More...
| GetOpacity ()
| Get opacity value. More...
| GetPopup ()
| Get related pop-up annotation. More...
| GetReply (index)
| Get a reply by index. More...
| GetReplyCount ()
| Count all replies. More...
| GetRichTextContent (index)
| Get text string of a rich text string specified by index. More...
| GetRichTextCount ()
| Get the count of rich text strings. More...
| GetRichTextStyle (index)
| Get style data of a rich text string specified by index. More...
| GetStateAnnots (model)
| Get all state annotations in a specified state model. More...
| GetSubject ()
| Get subject string. More...
| GetTitle ()
| Get title string. More...
| InsertRichText (index, content, style)
| Insert a new rich text string to the place which is specified by index. More...
| IsGrouped ()
| Check whether current markup annotation is in a group or not. More...
| RemoveAllReplies ()
| Remove all the replies. More...
| RemoveAllStateAnnots ()
| Remove all the state annotations. More...
| RemovePopup ()
| Remove related pop-up annotation. More...
| RemoveReply (index)
| Remove a reply by index. More...
| RemoveRichText (index)
| Remove a rich text string specified by index. More...
| SetCreationDateTime (date_time)
| Set creation date time. More...
| SetIntent (intent)
| Set intent name. More...
| SetOpacity (opacity)
| Set opacity value. More...
| SetPopup (popup)
| Set related pop-up annotation. More...
| SetRichTextContent (index, content)
| Set text string of a rich text string specified by index. More...
| SetRichTextStyle (index, style)
| Set style data of a rich text string specified by index. More...
| SetSubject (subject)
| Set subject string. More...
| SetTitle (title)
| Set title string. More...
| Ungroup ()
| Ungroup current markup annotation from the group it belongs to. More...
Public Member Functions inherited from Annot
| constructor ()
| Constructor.
| constructor (annot)
| Constructor, with another annotation object. More...
| constructor (page, annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
| GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
| GetBorderColor ()
| Get border color. More...
| GetBorderInfo ()
| Get border information. More...
| GetContent ()
| Get content. More...
| GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
| GetDict ()
| Get annotation's dictionary object. More...
| GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
| GetFlags ()
| Get annotation flags. More...
| GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
| GetModifiedDateTime ()
| Get last modified date time. More...
| GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
| GetPage ()
| Get the related PDF page. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get actual annotation type of current annotation. More...
| GetUniqueID ()
| Get unique ID. More...
| HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsMarkup ()
| Check if current annotation is a markup annotation. More...
| Move (rect)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
| RemoveProperty (property)
| Remove a specified annotation's property. More...
| ResetAppearanceStream ()
| Reset appearance stream. More...
< boolean > | ResetAppearanceStream (is_generate_new_appearance_obj)
| Reset appearance stream. More...
| SetBorderColor (color)
| Set border color. More...
| SetBorderInfo (border)
| Set border information. More...
| SetContent (content)
| Set content. More...
| SetFlags (flags)
| Set annotation flags. More...
| SetModifiedDateTime (date_time)
| Set last modified date time. More...
| SetUniqueID (unique_id)
| Set unique ID. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_EndingStyleButt
| A short line at the endpoint perpendicular to the line itself.
static | e_EndingStyleCircle
| A circle filled with the annotation's interior color if any.
static | e_EndingStyleClosedArrow
| Two short lines meeting in an acute angle as in the OpenArrow style and connected by a third line to form a triangular closed arrowhead filled with the annotation's interior color if any.
static | e_EndingStyleDiamond
| A diamond shape filled with the annotation's interior color if any.
static | e_EndingStyleNone
| Enumeration for line ending style. More...
static | e_EndingStyleOpenArrow
| Two short lines meeting in an acute angle to form an open arrowhead.
static | e_EndingStyleRClosedArrow
| A triangular closed arrowhead in the reverse direction from ClosedArrow.
static | e_EndingStyleROpenArrow
| Two short lines in the reverse direction from OpenArrow.
static | e_EndingStyleSlash
| A short line at the endpoint approximately 30 degrees clockwise from perpendicular to the line itself.
static | e_EndingStyleSquare
| A square filled with the annotation's interior color if any.
static | e_MeasureTypeA
| Measurement of area.
static | e_MeasureTypeD
| Measurement of distance in any direction.
static | e_MeasureTypeS
| Measurement of the slope of a line.
static | e_MeasureTypeT
| Measurement of angles.
static | e_MeasureTypeX
| Enumeration for annotation's measure type. More...
static | e_MeasureTypeY
| Measurement of change along the y axis.
static | e_StateAccepted
| (Used with state model Markup.e_StateModelReview) The user agrees with the change.
static | e_StateCancelled
| (Used with state model Markup.e_StateModelReview) The change has been cancelled.
static | e_StateCompleted
| (Used with state model Markup.e_StateModelReview) The change has been completed.
static | e_StateDeferred
| (Used with state model Markup.e_StateModelReview) The change has been deferred.
static | e_StateFuture
| (Used with state model Markup.e_StateModelReview) The change will be working in the future.
static | e_StateMarked
| (Used with state model Markup.e_StateModelMarked) The annotation has been marked by the user.
static | e_StateModelMarked
| Enumeration for markup annotation's state model. More...
static | e_StateModelReview
| Markup annotation state model: review.
static | e_StateNone
| Enumeration for markup annotation's state. More...
static | e_StateRejected
| (Used with state model Markup.e_StateModelReview) The user disagrees with the change.
static | e_StateUnmarked
| (Used with state model Markup.e_StateModelMarked) The annotation has not been marked by the user.
Static Public Attributes inherited from Annot
static | e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
static | e_AppearanceTypeDown
| Annotation's down appearance.
static | e_AppearanceTypeNormal
| Enumeration for the type of annotation's appearance. More...
static | e_AppearanceTypeRollover
| Annotation's rollover appearance.
static | e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
static | e_FlagHidden
| Annotation flag: hidden. More...
static | e_FlagInvisible
| Enumeration for PDF annotation flags. More...
static | e_FlagLocked
| Annotation flag: locked. More...
static | e_FlagLockedContents
| Annotation flag: locked contents. More...
static | e_FlagNoRotate
| Annotation flag: no rotate. More...
static | e_FlagNoView
| Annotation flag: no view. More...
static | e_FlagNoZoom
| Annotation flag: no zoom. More...
static | e_FlagPrint
| Annotation flag: print. More...
static | e_FlagReadOnly
| Annotation flag: read only. More...
static | e_FlagToggleNoView
| Annotation flag: toggle no view. More...
static | e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
static | e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
static | e_HighlightingNone
| Enumeration for PDF annotation highlighting mode. More...
static | e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
static | e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
static | e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
static | e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
static | e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
static | e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
static | e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
static | e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
static | e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
static | e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
static | e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
static | e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
static | e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
static | e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
static | e_MKEntryRotation
| Enumeration for annotation's MK dictionary (an appearance characteristics) entry. More...
static | e_MKRelationCaptionAboveIcon
| Caption above the icon.
static | e_MKRelationCaptionBelowIcon
| Caption below the icon.
static | e_MKRelationCaptionLeft
| Caption to the left of the icon.
static | e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
static | e_MKRelationCaptionRight
| Caption to the right of the icon.
static | e_MKRelationNoCaption
| No caption; icon only.
static | e_MKRelationNoIcon
| Enumeration for icon and caption relative position in annotation's MK dictionary. More...
static | e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
static | e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
static | e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_PropertyBorderColor
| Annotation property: border color. More...
static | e_PropertyCreationDate
| Annotation property: creation date. More...
static | e_PropertyFillColor
| Annotation property: fill color. More...
static | e_PropertyModifiedDate
| Enumeration for some PDF annotation property. More...
static | e_PSInk
| Annotation type: pressure sensitive ink annotation.
static | e_Redact
| Annotation type: redact annotation.
static | e_RichMedia
| Annotation type: rich media annotation.
static | e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
static | e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
static | e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
static | e_UnknownType
| Enumeration for PDF annotation type. More...
static | e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
static | e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

Markup annotations are used primarily to mark up PDF documents. These annotations have text that appears as part of the annotation and may be displayed in other ways by a viewer application, such as in a Comments pane.
Class Markup is derived from class Annot, and is also the base class for all PDF markup annotations. It offers the base functions to get/set markup annotation's common properties. For concrete markup annotation types, please refer to derived classes.
Function Annot.IsMarkup can be used to judge if an annotation is a markup annotation.

Note
  Currently, following kinds of functions only support note, highlight, underline, strikeout, squiggly, square, circle, free text, stamp, caret, ink, line, polygon, polyline, file attachment annotations:
  - All the "set" functions in class Markup.
  - Function Annot.ResetAppearanceStream (inherited from Markup's parent class).

See also
  Annot

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ AddReply()

Markup.AddReply | ( |  | ) |

Add a new reply to the end of reply list.

Returns
  A new note annotation that represents the new reply annotation.

## ◆ AddRichText()

Markup.AddRichText | ( | content | ,
|  | style |
| ) |  |

Add a new rich text string to the end.

Markup annotation's content can consist of several rich text strings. Specially, if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation.

Parameters

  [in] | content | Text string used as content of the new rich text string. This should not be an empty string.
  [in] | style | Style data used for the new rich text string.

Returns
  None.

## ◆ AddStateAnnot()

Markup.AddStateAnnot | ( | title | ,
|  | model | ,
|  | state |
| ) |  |

Add a new state annotation.

A markup annotation may have one or several author-specific state associated with it. Each state is not specified in the annotation itself but in a separate note annotation.

- For state model Markup.e_StateModelReview, this function will add a new state annotation once this function is called.
- For state model Markup.e_StateModelMarked, this function will find the latest state annotation with this model and the same title as input parameter title: if find one, this function will change state value of the found state annotation and return the found state annotation directly; if not find any suitable state annotation, this function will add a new one and return the new state annotation.

Parameters

  [in] | title | Title for the new state annotation. Title can be used to identify the user who added current annotation. This can be an empty string but users are strongly recommended to set a meaningful title when using this function.
  [in] | model | State model for the new state annotation. It should be one of following values: Markup.e_StateModelMarked Markup.e_StateModelReview
  [in] | state | State value for the new state annotation. It should be one of following values: If parameter model is Markup.e_StateModelMarked, the state should be Markup.e_StateMarked or Markup.e_StateUnmarked. If parameter model is Markup.e_StateModelReview, the state should be Markup.e_StateAccepted, Markup.e_StateRejected, Markup.e_StateCancelled, Markup.e_StateCompleted, Markup.e_StateDeferred, Markup.e_StateFuture, or Markup.e_StateNone.

Returns
  A note annotation which represents the new state annotation. Last modified date time of the returned state annotation would be set with current local system time by default.

## ◆ constructor()

Markup.constructor | ( | annot |  | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## ◆ GetCreationDateTime()

Markup.GetCreationDateTime | ( |  | ) |

Get creation date time.

Returns
  A date and time object that receives the creation date time. If there is no creation date time information, a date and time object with all 0 values would be returned.

## ◆ GetGroupElements()

Markup.GetGroupElements | ( |  | ) |

Get an element (as markup annotation) from the group that current markup annotation belongs to.

Markup annotations can be grouped. The group consists of a primary annotation and one or more subordinate annotations. Some entries in the primary annotation are treated as group attributes that should apply to the group as a whole; the corresponding entries in the subordinate annotations should be ignored. These entries are contents, last modification time, fill color/border color, title, pop-up annotation, creation time, subject, and open status. So user should respect the group property: when a property of an annotation in group is changed, the other annotations in the same group should be changed too.
Operations that manipulate any annotation in a group, such as movement, cut, and copy, should be treated by viewer applications as acting on the entire group.

Returns
  An array that contains all the markup annotations in the group. If current annotation does not belong to a group, this function will return an empty array.

## ◆ GetGroupHeader()

Markup.GetGroupHeader | ( |  | ) |

Get the header annotation (as primary annotation) of the group that current markup annotation belongs to.

Markup annotations can be grouped. The group consists of a primary annotation and one or more subordinate annotations. Some entries in the primary annotation are treated as group attributes that should apply to the group as a whole; the corresponding entries in the subordinate annotations should be ignored. These entries are contents, last modification time, fill color/border color, title, pop-up annotation, creation time, subject, and open status. So user should respect the group property: when a property of an annotation in group is changed, the other annotations in the same group should be changed too.
Operations that manipulate any annotation in a group, such as movement, cut, and copy, should be treated by viewer applications as acting on the entire group.

Returns
  The header markup annotation of the group that current markup annotation belongs to. If the return value of function Annot.IsEmpty (inherited from Markup's parent class) for the returned markup annotation object is true, that means current annotation does not belong to a group.

## ◆ GetIntent()

Markup.GetIntent | ( |  | ) |

Get intent name.

Following annotation types have predefined intent name:

- Free text annotation's predefined intent name: "FreeTextCallout", "FreeTextTypewriter". If no intent name is used, free text annotation would be shown as a text box.
- Line annotation's predefined intent name: "LineArrow", "LineDimension". If no intent name is used, line annotation would be shown as a common line.
- Polygon's predefined intent name: "PolygonCloud", "PolygonDimension". If no intent name is used, polygon annotation would be shown as a common polygon.
- Polyline annotation's predefined intent name: "PolyLineDimension". If no intent name is used, polyline annotation would be shown as a common polyline.

Returns
  The intent name string.

## ◆ GetOpacity()

Markup.GetOpacity | ( |  | ) |

Get opacity value.

This property has effect on markup annotation's appearance.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

## ◆ GetPopup()

Markup.GetPopup | ( |  | ) |

Get related pop-up annotation.

Most markup annotations can have a pop-up annotation to show their content, except sound and free text annotations:

- For sound annotation, it does not have a pop-up annotation.
- For free text annotation, it shows text directly on the page, so no need to have a pop-up annotation.

Though, in some special(or error) PDF document, sound or free text annotation may have a pop-up annotation, they still do not need a pop-up annotation.

Returns
  The related pop-up annotation. If the return value of function Annot.IsEmpty (inherited from Popup's parent class) for the returned pop-up annotation is true, that means current markup annotation does not have a pop-up annotation.

## ◆ GetReply()

Markup.GetReply | ( | index |  | ) |

Get a reply by index.

Parameters

  [in] | index | The index for a specified reply. Valid range: from 0 to (count-1). count is returned by function Markup.GetReplyCount.

Returns
  A note annotation that represents the specified reply annotation.

## ◆ GetReplyCount()

Markup.GetReplyCount | ( |  | ) |

Count all replies.

Returns
  The count of replies.

## ◆ GetRichTextContent()

Markup.GetRichTextContent | ( | index |  | ) |

Get text string of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose content is to be retrieved. Valid range: from 0 to (count-1). count is returned by function Markup.GetRichTextCount.

Returns
  Text string for the specified rich text.

## ◆ GetRichTextCount()

Markup.GetRichTextCount | ( |  | ) |

Get the count of rich text strings.

Markup annotation's content can consist of several rich text strings.

Returns
  Count of rich text strings.

## ◆ GetRichTextStyle()

Markup.GetRichTextStyle | ( | index |  | ) |

Get style data of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose style data is to be retrieved. Valid range: from 0 to (count-1). count is returned by function Markup.GetRichTextCount.

Returns
  Style data for the specified rich text string.

## ◆ GetStateAnnots()

Markup.GetStateAnnots | ( | model |  | ) |

Get all state annotations in a specified state model.

A markup annotation may have one or several author-specific state associated with it. Each state is not specified in the annotation itself but in a separate note annotation.

Parameters

  [in] | model | State model. It should be one of following values: Markup.e_StateModelMarked Markup.e_StateModelReview

Returns
  A note annotation array which represents all state annotations in the specified state model. All the annotations in this array would be in a chronological order.

## ◆ GetSubject()

Markup.GetSubject | ( |  | ) |

Get subject string.

Returns
  Subject string.

## ◆ GetTitle()

Markup.GetTitle | ( |  | ) |

Get title string.

By convention, annotation's title can be used to identify the user who added current annotation.

Returns
  Title string.

## ◆ InsertRichText()

Markup.InsertRichText | ( | index | ,
|  | content | ,
|  | style |
| ) |  |

Insert a new rich text string to the place which is specified by index.

Markup annotation's content can consist of several rich text strings. Specially, if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation.

Parameters

  [in] | index | Index for a rich text string whose style data is to be inserted at. Valid range: from 0 to count. count is returned by function Markup.GetRichTextCount. If input value is equal to rich text string count, that means to add the new rich text string to the end. In this case, this funcion equals to function Markup.AddRichText.
  [in] | content | Text string used as content of the new rich text string. This should not be an empty string.
  [in] | style | Style data used for the new rich text string.

Returns
  None.

## ◆ IsGrouped()

Markup.IsGrouped | ( |  | ) |

Check whether current markup annotation is in a group or not.

Markup annotations can be grouped. The group consists of a primary annotation and one or more subordinate annotations. Some entries in the primary annotation are treated as group attributes that should apply to the group as a whole; the corresponding entries in the subordinate annotations should be ignored. These entries are contents, last modification time, fill color/border color, title, pop-up annotation, creation time, subject, and open status. So user should respect the group property: when a property of an annotation in group is changed, the other annotations in the same group should be changed too.
Operations that manipulate any annotation in a group, such as movement, cut, and copy, should be treated by viewer applications as acting on the entire group.

Returns
  true means current markup annotation is in a group. false means current markup annotation does not belong to any group.

## ◆ RemoveAllReplies()

Markup.RemoveAllReplies | ( |  | ) |

Remove all the replies.

Returns
  true means success, while false means failure.

## ◆ RemoveAllStateAnnots()

Markup.RemoveAllStateAnnots | ( |  | ) |

Remove all the state annotations.

State annotation is represented by note annotation, so, to remove state annotations means to remove this kind of note annotations (with their popup annotations if any) from the page.

Returns
  true means remove all the state annotations successfully or current annotation does not have any state annotation, while false means failure.

## ◆ RemovePopup()

Markup.RemovePopup | ( |  | ) |

Remove related pop-up annotation.

Returns
  true means that related pop-up annotation is removed successfully, while false means current markup annotation does not have a related pop-up annotation.

## ◆ RemoveReply()

Markup.RemoveReply | ( | index |  | ) |

Remove a reply by index.

If specified reply has its own replies, these sub replies will be removed at the same time.

Parameters

  [in] | index | The index for a specified reply to be removed. Valid range: from 0 to (count-1). count is returned by function Markup.GetReplyCount.

Returns
  true means success, while false means failure.

## ◆ RemoveRichText()

Markup.RemoveRichText | ( | index |  | ) |

Remove a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose style data is to be inserted at. Valid range: from 0 to (count-1). count is returned by function Markup.GetRichTextCount.

Returns
  None.

## ◆ SetCreationDateTime()

Markup.SetCreationDateTime | ( | date_time |  | ) |

Set creation date time.

Parameters

  [in] | date_time | The new date time to be set.

Returns
  None.

## ◆ SetIntent()

Markup.SetIntent | ( | intent |  | ) |

Set intent name.

Following annotation types have predefined intent name:

- Free text annotation's predefined intent name: "FreeTextCallout", "FreeTextTypewriter". If no intent name is used, free text annotation would be shown as a text box.
- Line annotation's predefined intent name: "LineArrow", "LineDimension". If no intent name is used, line annotation would be shown as a common line.
  If a line annotation's intent is to be set to "LineArrow", the line annotation's line ending styles will be Markup.e_EndingStyleNone for start point and Markup.e_EndingStyleOpenArrow for end point by default.
- Polygon's predefined intent name: "PolygonCloud", "PolygonDimension". If no intent name is used, polygon annotation would be shown as a common polygon.
  If a polygon annotation's intent is to be set to "PolygonCloud", the polygon annotation's border style will be changed to BorderInfo.e_Cloudy and border cloud intensity will be set to 2 by default.
- Polyline annotation's predefined intent name: "PolyLineDimension". If no intent name is used, polyline annotation would be shown as a common polyline.

If supported predefined intent name has been set to corresponding type of annotation, user should call function Annot.ResetAppearanceStream to make the effect on annotation's appearance.

Parameters

  [in] | intent | New intent name string to be set. If it is an empty string, that means the intent property will not be used. Some annotation type have predefined intent name, please refer to "Details" part for more details. If this string is one of those unsupported intent name, this string will be ignored when set to corresponding annotations.

Returns
  None.

## ◆ SetOpacity()

Markup.SetOpacity | ( | opacity |  | ) |

Set opacity value.

This property has effect on markup annotation's appearance. If user wants the new opacity value has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting the new opacity value.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0 . 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetPopup()

Markup.SetPopup | ( | popup |  | ) |

Set related pop-up annotation.

Most markup annotations can have a pop-up annotation to show their content, except sound and free text annotations:

- For sound annotation, it does not have a pop-up annotation.
- For free text annotation, it shows text directly on the page, so no need to have a pop-up annotation.

So, this function does not allow to set pop-up annotation to sound and free text annotation.

Parameters

  [in] | popup | A valid pop-up annotation to be set to current markup annotation.

Returns
  None.

## ◆ SetRichTextContent()

Markup.SetRichTextContent | ( | index | ,
|  | content |
| ) |  |

Set text string of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.

Parameters

  [in] | index | Index for a rich text string whose content is to be set. Valid range: from 0 to (count-1). count is returned by function Markup.GetRichTextCount.
  [in] | content | Text string to be set as content for specified rich text. This should not be an empty string.

Returns
  None.

## ◆ SetRichTextStyle()

Markup.SetRichTextStyle | ( | index | ,
|  | style |
| ) |  |

Set style data of a rich text string specified by index.

Markup annotation's content can consist of several rich text strings.
Specially, if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation.

Parameters

  [in] | index | Index for a rich text string whose style data is to be retrieved. Valid range: from 0 to (count-1). count is returned by function Markup.GetRichTextCount.
  [in] | style | Style data used to be set to specified rich text.

Returns
  None.

## ◆ SetSubject()

Markup.SetSubject | ( | subject |  | ) |

Set subject string.

Parameters

  [in] | subject | New subject string to be set.

Returns
  None.

## ◆ SetTitle()

Markup.SetTitle | ( | title |  | ) |

Set title string.

By convention, annotation's title can be used to identify the user who added current annotation.

Parameters

  [in] | title | New title string to be set.

Returns
  None.

## ◆ Ungroup()

Markup.Ungroup | ( |  | ) |

Ungroup current markup annotation from the group it belongs to.

- If current markup annotation is just the group header, this function will disband the whole group.
- If current markup annotation is just a member of a group, this function will only ungroup current markup annotation from the group it belongs to.
- If current markup annotation does not belong to any group, this function will do nothing and return false directly.

Returns
  true means success, while false means current markup annotation does not belong to any group.

## Member Data Documentation

## ◆ e_EndingStyleNone

Markup.e_EndingStyleNone
| static

Enumeration for line ending style.

Values of this enumeration should be used alone.

No special line ending.

## ◆ e_MeasureTypeX

Markup.e_MeasureTypeX
| static

Enumeration for annotation's measure type.

Values of this enumeration should be used alone.

Measurement of change along the x axis.

## ◆ e_StateModelMarked

Markup.e_StateModelMarked
| static

Enumeration for markup annotation's state model.

Values of this enumeration should be used alone.

Markup annotation state model: marked.

## ◆ e_StateNone

Markup.e_StateNone
| static

Enumeration for markup annotation's state.

Values of this enumeration should be used alone.

(Used with state model Markup.e_StateModelReview) The user has indicated nothing about the change.